package com.kingtom.office.job;

import java.io.File;
import java.util.Date;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import com.kingtom.office.config.AppConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 应用模块名称<p>
 * 代码描述<p>
 * Copyright: Copyright (C) 2024 KingTom
 * , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司<p>
 *
 * @author wany
 * @since 2024/8/5
 */
@Component
@Slf4j
public class Job{

    @Autowired
    private AppConfig appConfig;

    @Scheduled(cron = "0 0 23 * * 0") // 每周日晚上11点执行
    public void cleanUpDirectory(){
        File directory = new File(appConfig.getFileHome());
        if(!directory.exists()){
            return;
        }
        FileUtil.del(directory);
        log.info("Directory cleaned at: {}", DateUtil.format(new Date(), "yyyy-MM-dd HH:mm:ss"));
    }
}
